Bug 184257 - Optical CD and DVD drives not listed in fstab after install
Optical CD and DVD drives not listed in fstab after install
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-03-07 13:53 EST by Walter Francis
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-07 14:21:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Walter Francis 2006-03-07 13:53:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20060111 Firefox/

Description of problem:
After a normal FC5t3 install, CD and DVD/DVD-RW drives are not listed in the fstab, and therefore not available from Gnome/etc for the user to use.  The drives in question are IDE drives perminately in the system, not removable, etc.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install normal FC5t3 Install (selected Workstation, Web server, and other two options)
2. Login
3. Look for optical drives in /etc/fstab, they aren't listed.

Actual Results:  No optical drives listed in fstab.

Expected Results:  All the available drives should be listed so the user can use them.

Additional info:
Comment 1 Jef Spaleta 2006-03-07 14:21:18 EST
I'm closing this as not a bug. Please read up on how the dbus managed device
mounting works. I suggest you search the fedora-test-list archive for
discussions about gnome-mount operation.

Dvd drives should be accessible via the gnome desktop without any fstab entries
now. Re-file once you have installed available updates and retested gnome
desktop behavior.

Comment 2 Walter Francis 2006-03-08 07:54:27 EST
I should have also said that the drives were not functioning period, nothing was
coming from dbus, nothing in Gnome, inserting disks didn't show anything, I was
completely unable to use the drives unless I manually mounted them.

However a reinstall and they worked fine, so something is weird as this is the
second thing I've found that was broken in one install and fine in the next. 
I'll be trying again today from a network install from the latest image and see.
 If I find this again, I'll re-open the bug.
Comment 3 Walter Francis 2006-03-22 16:12:21 EST
Seems to be working with x86_64 FC5 released DVD.

Note You need to log in before you can comment on or make changes to this bug.